# frozen_string_literal: true

require 'import'
require 'i18n'
require 'tenant/errors'
require 'graphql'
require 'cht-lib-fabric/crn'
require 'cht-lib-fabric/tasks/actionable'

module Tenant
  module Actions

    class SDLQuery
      include ::Platform::Tasks::Actionable

      def call
        context.service = service
      end

      def service
        ::Tenant::Models::Service.new(
          sdl: GraphQL::Schema::Printer.print_schema(::Tenant::Schema)
        )
      end
    end
  end
end
