require 'active_record'

module Tenant
  # Active Record models
  module ArModels
    class Customer < ActiveRecord::Base
      has_many :users
      has_many :customer_messages
    end

    class CustomerMessage < ActiveRecord::Base
      belongs_to :customer
    end

    class User < ActiveRecord::Base
      belongs_to :customer
      has_and_belongs_to_many :roles, join_table: :users_roles
    end

    class Role < ActiveRecord::Base
      has_and_belongs_to_many :users, join_table: :users_roles
    end

    class PartnerSettings < ActiveRecord::Base
      belongs_to :customer
    end

    class ShardAssignment < ActiveRecord::Base
    end
  end
end
