require 'tenant/clients/csp_api_client'
require 'tenant/clients/csp_auth_client'

module Tenant
  module Clients
    WAVEFRONT_CSP_API_TIME_TAKEN_METRIC = 'com.cloudhealth.svc.tenant.csp-onboarding.api.csp.time'
    WAVEFRONT_CSP_API_HIT_COUNT_METRIC = 'com.cloudhealth.svc.tenant.csp-onboarding.api.csp.count'

    class CspBaseClient
      attr_accessor :api_client, :auth_client

      def initialize
        self.api_client = ::Tenant::Clients::CspApiClient::new
        self.auth_client = ::Tenant::Clients::CspAuthClient::new
      end
    end
  end
end