module Tenant
  module Helpers
    module Database

      private

      def setup_db
        spec = ::Application['mysql.spec']
        ::ActiveRecord::Base.establish_connection spec

        ::ActiveRecord::Base.connection
      end

      def close(conn)
        conn.close
      end

      def with_db
        conn = setup_db
        yield(conn)
        close(conn)
      end

    end
  end
end
