# frozen_string_literal: true
# auto_register: false

require 'karafka'
require 'tenant/consumers/csp_onboarding_message_consumer'
require 'tenant/consumers/customer'

::Karafka::App.consumer_groups.draw do
  consumer_group :tenant do
    topic :'com.cloudhealthtech.svc.tenant.change' do
      consumer ::Tenant::Consumers::Customer
    end
  end

  consumer_group :tenant_csp_onboarding do
    topic :'com.cloudhealthtech.svc.tenant.change' do
      consumer ::Tenant::Consumers::CspOnboardingMessageConsumer
    end
  end
end
